Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162816 - package-cleanup --problems misdiagnosing unversioned provides
Summary: package-cleanup --problems misdiagnosing unversioned provides
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 21:59 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 10:25:27 UTC


Attachments (Terms of Use)

Description Christopher Stone 2005-07-08 21:59:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
rpm sees any unversioned dep as being able to fill ANY versioned requirement.
package foo provides  bar    but package baz requires bar > 2.0
rpm doesnt see that as a problem 
ackage-cleanup  is misdiagnosing  unversioned provides  when a versioned required is requested

examples:

Package redhat-artwork requires redhat-logos >= 1.1.10
Package subversion requires perl(Getopt::Long) >= 2.25


Version-Release number of selected component (if applicable):
yum-utils-0.2-2.fc4

How reproducible:
Always

Steps to Reproduce:
1.package-cleanup --problems
2.
3.
  

Actual Results:  Package redhat-artwork requires redhat-logos >= 1.1.10


Expected Results:  No problems.

Additional info:

Comment 1 Jef Spaleta 2005-07-08 22:07:46 UTC
Just to elaborate.
For the Package redhat-artwork requires redhat-logos >= 1.1.10  error on fc4

rpm -q --provides fedora-logos
redhat-logos    <--------- unversioned
system-logos
fedora-logos = 1.1.31-1

rpm -q --requires redhat-artwork    <------------ versioned
redhat-logos >= 1.1.22


A simple test of how rpm actually handles this version/unversioned mismatch
rpm -e --nodeps redhat-artwork
rpm -ivv redhat-artwork-0.122-10.i386.rpm  2> /tmp/install.log

from the install.log:
D:  Requires: redhat-logos >= 1.1.22                        YES (db provides)

rpm -q --whatprovides redhat-logos
fedora-logos-1.1.31-1

fedora-logos package is the only thing providing redhat-logos and rpm sees the
unversioned provides as filling the versioned requires.

Comment 2 Seth Vidal 2005-07-10 07:54:39 UTC
upgrade to yum 2.3.3 or above and tell me if the above issue goes away.



Comment 3 Christopher Stone 2006-03-21 08:56:14 UTC
I don't know if this was actually fixed, but package-cleanup --problems seems to
be working fine now.

Comment 4 Christian Iseli 2007-01-19 23:47:50 UTC
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)

Comment 5 Tim Lauridsen 2007-02-14 10:25:27 UTC
According to #3, it package-cleanup was working.


Note You need to log in before you can comment on or make changes to this bug.